package cz.muni.fi.pb162.graphics;

public abstract class AbstractGrObject implements GraphicObject
{
    private String color;
    
    public AbstractGrObject(String color) {
        this.color = color;
    }
    
    public String getColor() {
        return color;
    }
    
    public abstract double getPerimeter();
    
    public boolean equals(Object obj) {
        if (!(obj instanceof AbstractGrObject)) {
            return false;
        }
        AbstractGrObject c = (AbstractGrObject) obj;
        return getColor().equals(c.getColor());
    }
    
    public int hashCode() {
        return color.hashCode();
    }
}
